org.optaplanner.core.impl.domain.common.accessor

## Enum MemberAccessorFactory.MemberAccessorType

- java.lang.Object
- - java.lang.Enum<MemberAccessorFactory.MemberAccessorType>
  - - org.optaplanner.core.impl.domain.common.accessor.MemberAccessorFactory.MemberAccessorType

- All Implemented Interfaces:
    Serializable, Comparable<MemberAccessorFactory.MemberAccessorType>
  Enclosing class:
    MemberAccessorFactory

      public static enum MemberAccessorFactory.MemberAccessorType
      extends Enum<MemberAccessorFactory.MemberAccessorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIELD_OR_GETTER_METHOD`
    `FIELD_OR_GETTER_METHOD_WITH_SETTER`
    `FIELD_OR_READ_METHOD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MemberAccessorFactory.MemberAccessorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MemberAccessorFactory.MemberAccessorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIELD_OR_READ_METHOD

          public static final MemberAccessorFactory.MemberAccessorType FIELD_OR_READ_METHOD

    - #### FIELD_OR_GETTER_METHOD

          public static final MemberAccessorFactory.MemberAccessorType FIELD_OR_GETTER_METHOD

    - #### FIELD_OR_GETTER_METHOD_WITH_SETTER

          public static final MemberAccessorFactory.MemberAccessorType FIELD_OR_GETTER_METHOD_WITH_SETTER

  - ### Method Detail

    - #### values

          public static MemberAccessorFactory.MemberAccessorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MemberAccessorFactory.MemberAccessorType c : MemberAccessorFactory.MemberAccessorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MemberAccessorFactory.MemberAccessorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.